CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

Frequently Asked Questions about Installing OpenFOAM

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree8Likes
  • 7 Post By wyldckat
  • 1 Post By tkoz

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   January 1, 2014, 19:21
Post Frequently Asked Questions about Installing OpenFOAM
  #1
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,965
Blog Entries: 45
Rep Power: 126
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
This thread aims to guide those who feel completely lost in where to find information on how to install OpenFOAM.

These are the known installation instructions for OpenFOAM and many of its variants:
  1. The instructions for the official OpenFOAM versions are provided at the OpenFOAM Foundation website.
  2. The instructions for the official OpenFOAM+ versions are provided at the OpenCFD (ESI group) website.
  3. The instructions for the foam-extend (community fork) can be found here:
    1. foam-extend 4.0 Installation instructions @ openfoamwiki.net
    2. foam-extend 3.2 Installation instructions @ openfoamwiki.net
    3. foam-extend 3.1 Installation instructions @ openfoamwiki.net
    4. foam-extend 3.0 Installation instructions @ openfoamwiki.net
  4. Installation instructions for installing Caelus-CML (fork) can be found at the Caelus-CML website.
  5. The instructions for installing FreeFOAM are provided at their official website: FreeFOAM Installation Instructions
  6. Instructions written by the community are mostly centralized at openfoamwiki.net, in the page Installation. There you'll find dedicated instructions for each version and Operating System.
  7. Questions about installing any of these versions/variants can be asked at the (unofficial) forum here at CFD-Online: OpenFOAM Installation
    1. For issues with installing OpenFOAM+ from ESI-OpenCFD, please use the prefix [OpenFOAM.com].
    2. For issues with installing OpenFOAM from the OpenFOAM Foundation, please use the prefix [OpenFOAM.org].
    3. For issues with installing foam-extend (including the old 1.6-ext and 1.5-dev forks) from the foam-extend project, please use the prefix [foam-extend.org].
    4. For issues with any other fork/variant, please use the prefix [Other].
Other Frequently Asked Questions:


Manuals and Guides:

Notes:

Last edited by wyldckat; November 11, 2018 at 17:33.
wyldckat is offline   Reply With Quote

Old   June 24, 2021, 20:34
Default paraview problems
  #2
New Member
 
Thomas Kosvic
Join Date: Mar 2009
Posts: 17
Rep Power: 15
tkoz is on a distinguished road
Paraview is as important as the meshing and solvers. It is the prime way to access results. More than half of the queries/problems posted on these boards and others regarding openfoam are related to paraview and parafoam and the special readers.


Couldn't a knowledgeable person go over the paraview related queries, the installation scripts (which fail in many cases) and the documentation concerned with paraview access using parafoam and the special reader. Many people don't have the perseverance I do in getting this running and likely give up and move onto other software.


I think these issues need to be resolved and are essential for the increase in the size of the openfoam community.


tom kosvic
michaelrempel likes this.
tkoz is offline   Reply With Quote

Old   December 8, 2021, 00:18
Default OpenFOAM 2106 Installation
  #3
Member
 
Sachin
Join Date: Aug 2014
Location: India
Posts: 79
Rep Power: 9
Sachin m is on a distinguished road
Hi,

I also ran into an issue during the installation of OF v2106 on a Windows Sub Linux system under Ubuntu 20.04.

I followed the OF.com recommendation for installation (https://develop.openfoam.com/Develop...ompiled/debian)

I have enabled WSL, Installed Ubuntu 20.04 LTS and pasted the below commands,

curl -s https://dl.openfoam.com/add-debian-repo.sh | sudo bash

wget -q -O - https://dl.openfoam.com/add-debian-repo.sh | sudo bash

And I received "The repository is setup! You can now install packages."

After that, I ran the command "sudo apt-get install openfoam2106-default" and I got "E: Unable to locate package openfoam2106-default".

OF installation got proceeded by running "sudo apt-get update" and after "sudo apt-get install openfoam2106-default" but encountered with the below error,

ras@DESKTOP-EAG7NR6:~$ sudo apt-get install openfoam2106-default
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
autoconf automake autotools-dev binutils binutils-common binutils-x86-64-linux-gnu cpp cpp-8 cpp-9 flex g++ g++-9
gcc gcc-8 gcc-8-base gcc-9 gcc-9-base gfortran gfortran-8 gfortran-9 ibverbs-providers libasan5 libatomic1
libbinutils libboost-atomic1.71-dev libboost-atomic1.71.0 libboost-chrono1.71-dev libboost-chrono1.71.0
libboost-date-time1.71-dev libboost-date-time1.71.0 libboost-dev libboost-program-options-dev
libboost-program-options1.71-dev libboost-program-options1.71.0 libboost-serialization1.71-dev
libboost-serialization1.71.0 libboost-system-dev libboost-system1.71-dev libboost-system1.71.0 libboost-thread-dev
libboost-thread1.71-dev libboost-thread1.71.0 libboost1.71-dev libc-dev-bin libc6-dev libcaf-openmpi-3 libcc1-0
libcgal-dev libcoarrays-dev libcoarrays-openmpi-dev libcrypt-dev libctf-nobfd0 libctf0 libevent-core-2.1-7
libevent-dev libevent-extra-2.1-7 libevent-openssl-2.1-7 libevent-pthreads-2.1-7 libfabric1 libfftw3-bin
libfftw3-dev libfftw3-double3 libfftw3-long3 libfftw3-quad3 libfftw3-single3 libfl-dev libgcc-8-dev libgcc-9-dev
libgfortran-8-dev libgfortran-9-dev libgfortran5 libgmp-dev libgmpxx4ldbl libgomp1 libhwloc-dev libhwloc-plugins
libhwloc15 libibverbs-dev libibverbs1 libisl22 libitm1 liblsan0 libltdl-dev libmpc3 libmpfr-dev libmpx2
libncurses-dev libnl-3-200 libnl-3-dev libnl-route-3-200 libnl-route-3-dev libnuma-dev libopenmpi-dev libopenmpi3
libpmix2 libpsm-infinipath1 libpsm2-2 libptscotch-6.0 libptscotch-dev libquadmath0 librdmacm1 libreadline-dev
libscotch-6.0 libscotch-dev libstdc++-9-dev libtool libtsan0 libubsan1 libxnvctrl0 linux-libc-dev m4 make
manpages-dev mpi-default-bin mpi-default-dev ocl-icd-libopencl1 openfoam-selector openfoam2106 openfoam2106-common
openfoam2106-dev openfoam2106-source openfoam2106-tools openfoam2106-tutorials openmpi-bin openmpi-common zlib1g-dev
Suggested packages:
autoconf-archive gnu-standards autoconf-doc gettext binutils-doc cpp-doc gcc-8-locales gcc-9-locales bison
build-essential flex-doc g++-multilib g++-9-multilib gcc-9-doc gcc-multilib gdb gcc-doc gcc-8-multilib gcc-8-doc
gcc-9-multilib gfortran-multilib gfortran-doc gfortran-8-multilib gfortran-8-doc gfortran-9-multilib gfortran-9-doc
libboost-doc libboost1.71-doc libboost-container1.71-dev libboost-context1.71-dev libboost-contract1.71-dev
libboost-coroutine1.71-dev libboost-exception1.71-dev libboost-fiber1.71-dev libboost-filesystem1.71-dev
libboost-graph1.71-dev libboost-graph-parallel1.71-dev libboost-iostreams1.71-dev libboost-locale1.71-dev
libboost-log1.71-dev libboost-math1.71-dev libboost-mpi1.71-dev libboost-mpi-python1.71-dev libboost-numpy1.71-dev
libboost-python1.71-dev libboost-random1.71-dev libboost-regex1.71-dev libboost-stacktrace1.71-dev
libboost-test1.71-dev libboost-timer1.71-dev libboost-type-erasure1.71-dev libboost-wave1.71-dev
libboost1.71-tools-dev libmpfrc++-dev libntl-dev glibc-doc libmpfi-dev libtbb-dev libfftw3-doc gmp-doc libgmp10-doc
libhwloc-contrib-plugins libtool-doc libmpfr-doc ncurses-doc openmpi-doc readline-doc libstdc++-9-doc gcj-jdk m4-doc
make-doc opencl-icd gnuplot
The following NEW packages will be installed:
autoconf automake autotools-dev binutils binutils-common binutils-x86-64-linux-gnu cpp cpp-8 cpp-9 flex g++ g++-9
gcc gcc-8 gcc-8-base gcc-9 gcc-9-base gfortran gfortran-8 gfortran-9 ibverbs-providers libasan5 libatomic1
libbinutils libboost-atomic1.71-dev libboost-atomic1.71.0 libboost-chrono1.71-dev libboost-chrono1.71.0
libboost-date-time1.71-dev libboost-date-time1.71.0 libboost-dev libboost-program-options-dev
libboost-program-options1.71-dev libboost-program-options1.71.0 libboost-serialization1.71-dev
libboost-serialization1.71.0 libboost-system-dev libboost-system1.71-dev libboost-system1.71.0 libboost-thread-dev
libboost-thread1.71-dev libboost-thread1.71.0 libboost1.71-dev libc-dev-bin libc6-dev libcaf-openmpi-3 libcc1-0
libcgal-dev libcoarrays-dev libcoarrays-openmpi-dev libcrypt-dev libctf-nobfd0 libctf0 libevent-core-2.1-7
libevent-dev libevent-extra-2.1-7 libevent-openssl-2.1-7 libevent-pthreads-2.1-7 libfabric1 libfftw3-bin
libfftw3-dev libfftw3-double3 libfftw3-long3 libfftw3-quad3 libfftw3-single3 libfl-dev libgcc-8-dev libgcc-9-dev
libgfortran-8-dev libgfortran-9-dev libgfortran5 libgmp-dev libgmpxx4ldbl libgomp1 libhwloc-dev libhwloc-plugins
libhwloc15 libibverbs-dev libibverbs1 libisl22 libitm1 liblsan0 libltdl-dev libmpc3 libmpfr-dev libmpx2
libncurses-dev libnl-3-200 libnl-3-dev libnl-route-3-200 libnl-route-3-dev libnuma-dev libopenmpi-dev libopenmpi3
libpmix2 libpsm-infinipath1 libpsm2-2 libptscotch-6.0 libptscotch-dev libquadmath0 librdmacm1 libreadline-dev
libscotch-6.0 libscotch-dev libstdc++-9-dev libtool libtsan0 libubsan1 libxnvctrl0 linux-libc-dev m4 make
manpages-dev mpi-default-bin mpi-default-dev ocl-icd-libopencl1 openfoam-selector openfoam2106 openfoam2106-common
openfoam2106-default openfoam2106-dev openfoam2106-source openfoam2106-tools openfoam2106-tutorials openmpi-bin
openmpi-common zlib1g-dev
0 upgraded, 127 newly installed, 0 to remove and 2 not upgraded.
Need to get 104 MB/236 MB of archives.
After this operation, 1299 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 https://sourceforge.net/projects/ope...iles/repos/deb focal/main amd64 openfoam2106 amd64 2106.1-2 [73.0 MB]
Err:1 https://sourceforge.net/projects/ope...iles/repos/deb focal/main amd64 openfoam2106 amd64 2106.1-2
Connection timed out [IP: 103.233.100.83 443]
Get:2 https://sourceforge.net/projects/ope...iles/repos/deb focal/main amd64 openfoam2106-tutorials all 2106.1-2 [30.9 MB]
Fetched 12.1 MB in 9min 5s (22.3 kB/s)
E: Failed to fetch https://telkomuniversity.dl.sourcefo....1-2_amd64.deb Connection timed out [IP: 103.233.100.83 443]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Any help would be appreciated! Thanks!
Sachin m is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[Discussion] Restructuring the Installation page at openfoamwiki.net wyldckat OpenFOAM Installation 16 November 2, 2013 11:43
Installing OpenFoam 2.1.1 on OS X 10.8.2 (Mountain Lion) TomGEO OpenFOAM Installation 11 December 11, 2012 11:08
Installing OpenFOAM 1.3 on openSUSE 10.3 aliakbar82 OpenFOAM Installation 1 December 31, 2009 03:35
Questions about OpenFOAM misch OpenFOAM 2 August 29, 2008 05:18
Installing OpenFOAM on SuSE Linux 91 Lars Edvardsen (Edvardsen) OpenFOAM Installation 2 January 10, 2005 02:26


All times are GMT -4. The time now is 16:35.